Request
curl -sS --fail-with-body "https://ark.cn-beijing.volces.com/api/v3/environments" \
-H "Authorization: Bearer $ARK_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"name": "<ENVIRONMENT_NAME>",
"config": {
"type": "cloud",
"networking": {
"type": "unrestricted"
},
"packages": {
"pip": ["pandas"],
"apt": ["curl"]
},
"env": {
"MY_KEY_0": "value_0"
}
}
}
EOFResponse
{
"id": "env-example",
"type": "environment",
"name": "<ENVIRONMENT_NAME>",
"config": {
"type": "cloud",
"networking": {"type": "unrestricted"},
"packages": {"pip": ["pandas"], "apt": ["curl"]},
"env": {"MY_KEY_0": "value_0"}
},
"created_at": "2026-07-15T08:00:00Z",
"updated_at": "2026-07-15T08:00:00Z"
}